Subject: bug#60213: [PATCH] Copy Info-goto-node-web URL as kill with prefix argument

From: Drew Adams <[email-masked]>
Date: Wed, 21 Dec 2022 16:05:38 +0000

> >> What about using the prefix arg to open the URL in a separate browser
> >> window?  After all, that's the behavior of `Info-goto-node-web' (the
> >> original).
> >
> > That can be customized in `browse-url', so I'd personally use the
> > prefix argument for something more useful.  But I won't protest
> > if someone wants to do that.
> 
> It would make sense to use eww by default to browse an external Info
> in the same Emacs window.  And with a prefix argument open that Info
> in an external browser.

Not sure what you're suggesting.  But (for me) the
point of a command such as `Info-goto-node-web' is
to visit a URL (for a manual node) in your browser
of choice - not to substitute whatever browser we
might think you should use - whether within Emacs
or not.

I'm not saying that's what you're suggesting.  I
don't know just what you're suggesting.  But we
should (1) let users tell Emacs which browser they
want to use by default, for such things and (2)
use that browser by default, for such things.

One reason to open a manual in a web browser might
just be to get HTML rendering.  Another, perhaps
more important reason (IMO), might be in order to
use a non-Emacs web browser.

> Using a different prefix argument for `w' (`Info-copy-current-node-name')
> makes sense as well like in `dired-copy-filename-as-kill' where the
> prefix argument supports different values.  Another variant is to add new key
> 'W' for URL copying.  OTOH, 'W' has a nice mnemonic to open a web browser.

I chose `G' for `Info-goto-node-web' to correspond
to `g' for `Info-goto-node' - i.e., for "go to".